Name: kernel-source-stk11xx
Version: 1.1.00
%define upstream_version 1.1.0
Release: alt1

Summary: Sources for the stk11xx USB camera driver
License: GPL
Group: Development/Kernel
URL: svn://svn.berlios.de/linux-uvc/linux-uvc/trunk
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source: stk11xx-%upstream_version.tar.gz

BuildArch: noarch
BuildPreReq: kernel-build-tools

# Information extracted from http://mxhaard.free.fr/spca5xx.html
%description 
Linux Kernel USB Video Class module
  linux-uvc is a kernel module that supports some standard devices that
  implement USB Video Class.

  Currently supports Logitech Quickcam Fusion, Logitech Quickcam Orbit,
  Logitech Quickcam Pro for Notebooks, and Logitech Quickcam Pro 5000.

The UVC specification covers webcams, digital camcorders, analog video
converters, analog and digital television tuners, and still-image cameras that
support video streaming for both video input and output.
Due to the limited available man power and the broad scope of the UVC
specification, the Linux UVC project will concentrate the development efforts
on video input devices, especially webcams. Video output devices will be
considered at a later time.

The Linux UVC projects is currently focussing on kernel support for UVC
devices. The driver implements the Video4Linux 2 (V4L2) API. Support for V4L1
is not planned.

%prep
%setup -q -c 
mv stk11xx-%upstream_version %name-%version

%install
mkdir -p %kernel_srcdir
cd %name-%version
tar -cjf %kernel_srcdir/%name-%version.tar.bz2 *

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Thu Nov 01 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.00-alt1
- First build for ALT Linux.



